//@ sourceURL=cash_work_count.js
$(function () {
    //init_daterangepicker();
    daterangepicker(getAllOperator);
    //  initFeeTable();
    //重置查询参数
    $('#btn_clean').click(function () {
        cleanParams();
    });

    $(".selectpicker").selectpicker({
        dropuAuto: false
    });

    //初始化页面上面的按钮事件
    $("#btn_excel").click(function (t) {
        exportExcel();
    });
    getCasherWorkCount();
});





/**
 * 收费与挂号工作量统计
 */
function getCasherWorkCount() {
    $('#tb_table').bootstrapTable("destroy");
    $('#tb_table').bootstrapTable({
        url: '/thmz/getCasherWorkCount',         //请求后台的URL（*）
        method: 'post',                      //请求方式（*）
        toolbar: '#toolbar',                //工具按钮用哪个容器
        striped: true,                      //是否显示行间隔色
        cache: false,                       //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
        pagination: true,                   //是否显示分页（*）
        sortable: true,                     //是否启用排序
        sortOrder: "asc",                   //排序方式
        queryParams: queryParams,           //传递参数（*）
        sidePagination: "client",           //分页方式：client客户端分页，server服务端分页（*）
        pageNumber: 1,                       //初始化加载第一页，默认第一页
        pageSize: 10,                       //每页的记录行数（*）
        pageList: [10, 25, 50, 100],        //可供选择的每页的行数（*）
        search: false,                       //是否显示表格搜索，此搜索是客户端搜索，不会进服务端，所以，个人感觉意义不大
        strictSearch: true,
        showColumns: false,                  //是否显示所有的列
        showRefresh: false,                  //是否显示刷新按钮
        minimumCountColumns: 2,             //最少允许的列数
        clickToSelect: true,                //是否启用点击选中行
        uniqueId: "ID",                     //每一行的唯一标识，一般为主键列
        showToggle: false,                    //是否显示详细视图和列表视图的切换按钮
        cardView: false,                    //是否显示详细视图
        detailView: false,
        //rowStyle:rowStyle,//通过自定义函数设置行样式
        ajaxOptions: {
            headers: {
                'Accept': 'application/json',
                'Authorization': 'Bearer ' + localStorage.getItem("token")
            }
        },
        columns: [
            {
                field: 'opName',
                title: '收费员',
                align: "center",
                valign: 'middle'
            }, {
                field: 'ghCount',
                title: '挂号数',
                align: "center",
                valign: 'middle',
            }, {
                field: 'ghAmount',
                title: '挂号金额',
                align: "center",
                valign: 'middle',
            }, {
                field: 'thCount',
                title: '退号数',
                align: "center",
                valign: 'middle'
                // ,
                // formatter: function (value, row, index) {
                //     return value.toFixed(2);
                // }
            }, {
                field: 'thAmount',
                title: '退号金额',
                align: "center",
                valign: 'middle'
            }, {
                field: 'sfCount',
                title: '收费数',
                align: "center",
                valign: 'middle'
            }, {
                field: 'sfAmount',
                title: '收费金额',
                align: "center",
                valign: 'middle'
            }, {
                field: 'tfCount',
                title: '退费数',
                align: "center",
                valign: 'middle'
            }, {
                field: 'tfAmount',
                title: '退费金额',
                align: "center",
                valign: 'middle'
            }
        ],
        responseHandler: function (res) {
            if (res == '401' || res == 401) {
                window.location.href = '/thmz/login/view'
                return;
            }
            var ress = eval(res);
            if (ress.code == -1) {
                if (ress.message != null && ress.message != '') {
                    new PNotify({
                        title: '错误提示',
                        text: ress.message,
                        type: 'error',
                        hide: true,
                        styling: 'bootstrap3'
                    });
                }
                return {
                    "total": 0,//总页数
                    "rows": {}   //数据
                };
            }
            return {
                "total": ress.data.length,//总页数
                "rows": ress.data   //数据
            };
        },
    });
}

/**
 * 构建列表查询参数
 * @param params
 * @returns {{mzChargeDetail: {patientId: string | number | string[] | undefined | jQuery, warnDept: string | number | string[] | undefined | jQuery, doctorCode: string | number | string[] | undefined | jQuery, name: string | number | string[] | undefined | jQuery, payMark: number}, beginTime: Date, endTime: Date, pageSize: *, pageIndex: number}}
 */
function queryParams(params) {
    var rePortRangeArr = getRePortRangeArr();
    var temp = {
        beginDate: rePortRangeArr[0],
        endDate: rePortRangeArr[1],
        opId: $('#cashParam').val()
    };
    return temp;
};




/**
 * 获取时间选择器的时间数组
 * @returns {string[]}
 */
function getRePortRangeArr() {
    var rePortRange = $('#reportrange span').html();
    var rePortRangeArr = rePortRange.split(" - ");
    rePortRangeArr[0] = rePortRangeArr[0] + " 00:00:00"
    rePortRangeArr[1] = rePortRangeArr[1] + " 23:59:59"
    return rePortRangeArr;
}





/**
 * 清空查询条件
 */
function cleanParams() {
    $('#reportrange span').html(moment().format('YYYY-MM-DD') + ' - ' + moment().format('YYYY-MM-DD'));
    getAllOperator();
}





/**
 * 导出excel
 */
function exportExcel() {
    var table2excel = new Table2Excel();
// 传入你的tableId即可导出
    table2excel.export($('#tb_table'), "收费员工作量统计");
}



/**
 * 查询给定日期内收费员列表
 */
function getAllOperator() {
    var rePortRangeArr = getRePortRangeArr();
    $.ajax({
        type: "POST",
        url: '/thmz/getAllOperator',
        contentType: "application/json;charset=UTF-8",
        dataType: "json",
        headers: {'Accept': 'application/json', 'Authorization': 'Bearer ' + localStorage.getItem("token")},
        data: JSON.stringify({"beginDate": rePortRangeArr[0], "endDate": rePortRangeArr[1]}),
        success: function (res) {
            if (res == '401' || res == 401) {
                window.location.href = '/thmz/login/view'
                return;
            }
            if (res.code == 0) {
                var html = '';
                $.each(res.employees, function (commentIndex, comment) {
                    html += '<option value="' + comment.employeeCode + '">' + comment.employeeName + '</option>';
                });
                $('#cashParam').empty();
                $('#cashParam').html(html);
                $('#cashParam').selectpicker('refresh');
                getCasherWorkCount();
            } else {
                errorMesage(res);
            }
        }
    });
}